Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jdo.metadata
Interface ArrayMetadata

All Superinterfaces:
  Metadata

    public interface ArrayMetadata

extends Metadata

Represents details of an array in a field/property in a class.

Since:
  3.0

Method Summary
`java.lang.Boolean` | `getDependentElement()` Accessor for whether the element is dependent
`java.lang.String` | `getElementType()` Accessor for the element type
`java.lang.Boolean` | `getEmbeddedElement()` Accessor for whether the element is embedded
`java.lang.Boolean` | `getSerializedElement()` Accessor for whether the element is serialised
`ArrayMetadata` | `setDependentElement(boolean val)` Method to set whether the element is dependent
`ArrayMetadata` | `setElementType(java.lang.String type)` Method to set the name of the element type
`ArrayMetadata` | `setEmbeddedElement(boolean val)` Method to set whether the element is embedded
`ArrayMetadata` | `setSerializedElement(boolean val)` Method to set whether the element is serialised

Methods inherited from interface javax.jdo.metadata.Metadata
`getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

Method Detail

### setElementType

    ArrayMetadata setElementType(java.lang.String type)

  Method to set the name of the element type

  Parameters:
    `type` - Name of the element type

### getElementType

    java.lang.String getElementType()

  Accessor for the element type

  Returns:
    The element type

### setEmbeddedElement

    ArrayMetadata setEmbeddedElement(boolean val)

  Method to set whether the element is embedded

  Parameters:
    `val` - Whether it is embedded

### getEmbeddedElement

    java.lang.Boolean getEmbeddedElement()

  Accessor for whether the element is embedded

  Returns:
    whether the element is embedded

### setSerializedElement

    ArrayMetadata setSerializedElement(boolean val)

  Method to set whether the element is serialised

  Parameters:
    `val` - Whether it is serialised

### getSerializedElement

    java.lang.Boolean getSerializedElement()

  Accessor for whether the element is serialised

  Returns:
    whether the element is serialised

### setDependentElement

    ArrayMetadata setDependentElement(boolean val)

  Method to set whether the element is dependent

  Parameters:
    `val` - Whether it is dependent

### getDependentElement

    java.lang.Boolean getDependentElement()

  Accessor for whether the element is dependent

  Returns:
    whether the element is dependent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2011 Apache Software Foundation. All Rights Reserved.